zenilib: zenilib/jni/external/freetype2/src/type1/t1parse.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
t1parse.c File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_DEBUG_H>`
`#include <FT_INTERNAL_STREAM_H>`
`#include <FT_INTERNAL_POSTSCRIPT_AUX_H>`
`#include "t1parse.h"`
`#include "t1errors.h"`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_t1parse

## Functions

static FT_Error | check_type1_format (FT_Stream stream, const char *header_string, size_t header_length)
static FT_Error | read_pfb_tag (FT_Stream stream, FT_UShort *atag, FT_ULong *asize)
| T1_Finalize_Parser (T1_Parser parser)
| T1_Get_Private_Dict (T1_Parser parser, PSAux_Service psaux)
| T1_New_Parser (T1_Parser parser, FT_Stream stream, FT_Memory memory, PSAux_Service psaux)

## Macro Definition Documentation

#define FT_COMPONENT trace_t1parse

Definition at line 53 of file t1parse.c.

## Function Documentation

static FT_Error check_type1_format | ( | FT_Stream | stream,
|  | const char * | header_string,
|  | size_t | header_length
| ) |  |

static

Definition at line 98 of file t1parse.c.

References FT_StreamRec_::cursor, error, FT_FRAME_ENTER, FT_FRAME_EXIT, ft_memcmp, FT_STREAM_SEEK, and read_pfb_tag().

Referenced by T1_New_Parser().

static FT_Error read_pfb_tag | ( | FT_Stream | stream,
|  | FT_UShort * | atag,
|  | FT_ULong * | asize
| ) |  |

static

Definition at line 70 of file t1parse.c.

References error, FT_READ_ULONG_LE, and FT_READ_USHORT.

Referenced by check_type1_format(), T1_Get_Private_Dict(), and T1_New_Parser().

T1_Finalize_Parser | ( | T1_Parser | parser | ) |

Definition at line 244 of file t1parse.c.

References FT_FREE.

Referenced by t1_done_loader().

T1_Get_Private_Dict | ( | T1_Parser | parser,
|  | PSAux_Service | psaux
| ) |  |

Definition at line 261 of file t1parse.c.

References error, FT_ALLOC, FT_ERROR, ft_isxdigit, FT_MEM_MOVE, FT_STREAM_POS, FT_STREAM_READ, FT_STREAM_SEEK, FT_STREAM_SKIP, ft_strncmp, FT_StreamRec_::memory, read_pfb_tag(), T1_Skip_PS_Token, and T1_Skip_Spaces.

Referenced by T1_Open_Face().

T1_New_Parser | ( | T1_Parser | parser,
|  | FT_Stream | stream,
|  | FT_Memory | memory,
|  | PSAux_Service | psaux
| ) |  |

Definition at line 136 of file t1parse.c.

References check_type1_format(), error, FT_ALLOC, FT_FREE, FT_STREAM_READ, FT_STREAM_SEEK, FT_STREAM_SKIP, FT_TRACE2, if(), and read_pfb_tag().

Referenced by T1_Open_Face().